# filledrect.cpp File Reference

Implementation of the "Rectangle" layer. More...

`#include <synfig/string.h>`
`#include <synfig/time.h>`
`#include <synfig/context.h>`
`#include <synfig/paramdesc.h>`
`#include <synfig/renddesc.h>`
`#include <synfig/surface.h>`
`#include <synfig/value.h>`
`#include <synfig/valuenode.h>`
`#include <ETL/pen>`
`#include "filledrect.h"`

## Functions

| SYNFIG_LAYER_INIT (FilledRect)
| SYNFIG_LAYER_SET_NAME (FilledRect,"filled_rectangle")
| SYNFIG_LAYER_SET_LOCAL_NAME (FilledRect, N_("Filled Rectangle"))
| SYNFIG_LAYER_SET_CATEGORY (FilledRect, N_("Example"))
| SYNFIG_LAYER_SET_VERSION (FilledRect,"0.1")
| SYNFIG_LAYER_SET_CVS_ID (FilledRect,"$Id$")

## Detailed Description

Implementation of the "Rectangle" layer.

$Id$

## Function Documentation

SYNFIG_LAYER_INIT | ( | FilledRect |  | ) |

SYNFIG_LAYER_SET_NAME | ( | FilledRect | ,
|  | "filled_rectangle" |  |
| ) |  |  |

SYNFIG_LAYER_SET_LOCAL_NAME | ( | FilledRect | ,
|  | N_("Filled Rectangle") |  |
| ) |  |  |

SYNFIG_LAYER_SET_CATEGORY | ( | FilledRect | ,
|  | N_("Example") |  |
| ) |  |  |

SYNFIG_LAYER_SET_VERSION | ( | FilledRect | ,
|  | "0.1" |  |
| ) |  |  |

SYNFIG_LAYER_SET_CVS_ID | ( | FilledRect | ,
|  | "$Id$" |  |
| ) |  |  |